######################################################################
# datHerc_DL_DoomBringer.cs
# Dark Lords Olympian
#
######################################################################

#                 Identity_Tag  Abbreviation     Shape             Mass                MaxMass               RCS             Tech_Level      Combat_Value
hercBase(         IDVEH_DL_DOOM, "olyp",          "rb_oly.dts",                   20.0 ,                  100 ,          2.00 ,             2 ,        3150);

#                 maxPosAcc     minPosVel        maxForPosVel      maxRevPosVel        (all_m/s)
hercPos(                 2.50 ,           1.00 ,           15.00 ,               -7.00);

#                 minRotVel     maxRVSlow        maxRVFast         (all_deg/s)
hercRot(                  4.00 ,          35.00 ,             10.00);

#                 toStandVel    toRunVel         toFastRunVel      toFastTurnVel(deg/s)
hercAnim(         3.0,          6.0,             10.0,                               10);

#                 offsetX       offsetY          offsetZ
hercCpit(         0.0,                     -1.0 ,                 2);

#                 sphOffstX     sphOffstY        sphOffstZ         sphereRad
hercColl(         0.0,          0.0,             4.9,                                 5);

#                 fireBayesNetName
hercAI(           "hercFire.ai", "targetPart.ai","hercManeuver.ai","hercRetreat.ai"    );

#                               Hard Points
#                               (sizes:SMLX      sides:TBLR)       Dmg                 Offset_fm_Node                                        X_rot_rnge        Z_rot_rnge
#                 id            size             side              Prnt                X___                  Y___            Z___            min__       max_  min__           max__
newHardPoint(     0,            X,               T,                LeftPod,                            -2.5 ,          -1.5 ,           1.0 ,-15,        45.0 ,         -20.0 ,   75);
HardPointDamage(                    2000);
newHardPoint(     1,            X,               T,                RightPod,                            2.5 ,          -1.5 ,           1.0 ,-15,        45.0 ,         -75.0 ,   20);
HardPointDamage(                    2000);
newHardPoint(     2,            X,               B,                LeftPod,                            -2.5 ,           2.5 ,          -1.9 ,     -45.0 ,20.0 ,         -45.0 ,   75);
HardPointDamage(                    2000);
newHardPoint(     3,            X,               B,                RightPod,                            2.5 ,           2.5 ,          -1.9 ,     -45.0 ,20.0 ,         -75.0 ,   45);
HardPointDamage(                    2000);
newHardPoint(     4,            L,               I,                RightPod,                            2.5 ,           2.0 ,           0.0 ,     -45.0 ,45.0 ,         -15.0 ,   15);
newHardPoint(     5,            L,               I,                LeftPod,                            -2.5 ,           2.0 ,           0.0 ,     -45.0 ,45.0 ,         -15.0 ,   15);


#                 id            size             Dmg_Parent        Allowed_Mountables
newMountPoint(    0,            X,               Head,             Engine);
newMountPoint(    1,            X,               Head,             Reactor);
newMountPoint(    2,            L,               Head,             Computer);
newMountPoint(    3,            X,               none,             Armor);
newMountPoint(    4,            L,               RightPod,         Sensors             );
newMountPoint(    5,            X,               LeftPod,          ECM,                ThermalDiffuser,      LaserTargeting, NanoRepair,     Battery,    Cloak,FieldStabilizer,       ammoPack,
                                                                   LifeSupport,        Capacitor,        AgravGenerator,        TurbineBoost, RocketBooster);
newMountPoint(    6,            L,               LeftPod,          ECM,                ThermalDiffuser,      LaserTargeting, NanoRepair,     Battery,    Cloak,FieldStabilizer,       ammoPack,
                                                                   LifeSupport,        Capacitor,        AgravGenerator,        TurbineBoost, RocketBooster);
newMountPoint(    7,            L,               RightPod,         ECM,                ThermalDiffuser,      LaserTargeting, NanoRepair,     Battery,    Cloak,FieldStabilizer,       ammoPack,
                                                                   LifeSupport,        Capacitor,        AgravGenerator,        TurbineBoost, RocketBooster);

#                 Internal      Components
#                 id            type             parent            max_dmg             identity_tag
newComponent(     Armor,        Armor,           none,                          30000 ,IDCOM_ARMOR           );
newComponent(     LeftServos,   LeftServos,      none,                           3000 ,IDCOM_LEFT_LEG_SERVOS );
newComponent(     RightServos,  RightServos,     none,                           3000 ,IDCOM_RIGHT_LEG_SERVOS);

#                 External      Components
#                 id            type             parent            max_dmg             identity_tag          total internals             4500
newComponent(     Head,         Head,            none,                           1720 ,IDCOM_HEAD            );                        # 0.16
newComponent(     LeftPod,      LeftPod,         Head,                           1630 ,IDCOM_LEFT_POD        );                        # 0.14
newComponent(     RightPod,     RightPod,        Head,                           1630 ,IDCOM_RIGHT_POD       );                        # 0.14
newComponent(     LeftLeg,      LeftLeg,         Head,                           1495 ,IDCOM_LEFT_LEG        );                        # 0.11
newComponent(     RightLeg,     RightLeg,        Head,                           1495 ,IDCOM_RIGHT_LEG       );                        # 0.11
newComponent(     LeftCalf,     LeftCalf,        LeftLeg,                        1450 ,IDCOM_LEFT_CALF       );                        # 0.10
newComponent(     RightCalf,    RightCalf,       RightLeg,                       1450 ,IDCOM_RIGHT_CALF      );                        # 0.10
newComponent(     LeftFoot,     LeftFoot,        LeftCalf,                       1315 ,IDCOM_LEFT_FOOT       );                        # 0.07
newComponent(     RightFoot,    RightFoot,       RightCalf,                      1315 ,IDCOM_RIGHT_FOOT      );                        # 0.07
newComponent(     Pilot,        Pilot,           none,                            300 ,IDCOM_PILOT           );
#                               (totals)                                                                                             1.00

#                 Distribution  of               internal          components          among                 external        components
#                 containee     container        percent/100
newConfiguration( Armor,        LeftFoot,                      0.11);                                   # 3300
newConfiguration( Armor,        RightFoot,                     0.11);                                   # 3300
newConfiguration( Armor,        LeftCalf,                      0.11);                                  # 3300
newConfiguration( Armor,        RightCalf,                     0.11);                                  # 3300
newConfiguration( Armor,        LeftLeg,                       0.11);                                  # 3300
newConfiguration( Armor,        RightLeg,                      0.11);                                  # 3300
newConfiguration( Armor,        LeftPod,                       0.10);                                  # 3000
newConfiguration( Armor,        RightPod,                      0.10);                                  # 3000
newConfiguration( Armor,        Head,                          0.14);                                  # 4200
#                 -----
#                                                              1.00

newConfiguration( LeftServos,   LeftFoot,                       0.3);
newConfiguration( LeftServos,   LeftCalf,                      0.35);
newConfiguration( LeftServos,   LeftLeg,                       0.35);

newConfiguration( RightServos,  RightFoot,                      0.3);
newConfiguration( RightServos,  RightCalf,                     0.35);
newConfiguration( RightServos,  RightLeg,                      0.35);

defaultWeapons(   101,          101,             101,              101,                101,                  101);
defaultMountables(114,          205,             801,              812,                928,                  411,            810,                     865);