######################################################################
# datHerc_DL_reap.cs
# Dark Lord Grim Reaper
#
######################################################################
#                     Identity_Tag   Abbreviation         Shape            Mass                MaxMass               RCS              Tech_Level      Combat_Value
hercBase(             IDVEH_DL_REAP, "PROM",                 "cy_PROM.dts",                20.0 ,                 100 ,           2.00 ,           10 ,        5000);

#                     maxPosAcc      minPosVel            maxForPosVel     maxRevPosVel        (all_m/s)
hercPos(                      4.00 ,               3.00 ,          16.00 ,              -7.50);

#                     minRotVel      maxRVSlow            maxRVFast        {all_deg/s}
hercRot(                       5.00 ,              40.00 ,            15.00);

#                     toStandVel     toRunVel             toFastRunVel     toFastTurnVel(deg/s)
hercAnim(             4.0,           10.0,                18.0,                              41);

#                     offsetX        offsetY              offsetZ
hercCpit(             0.0,           1.5,                              1.25);

#                     sphOffstX      sphOffstY            sphOffstZ        sphereRad
hercColl(             0.0,           0.0,                 2.9,                                4);

#                     fireBayesNetName
hercAI(               "hercFire.ai",  "targetPart.ai",    "hercManeuver.ai"); #                "hercRetreat.ai"      );

#                     Hard Points
#                     (sizes:SMLX    sides:TBLR)          Dmg              Offset_fm_Node                                                             X_rot_rnge        Z_rot_rnge
#                     id             size                 side             Prnt                X___                  Y___             Z___            min__       max_  min__           max__
newHardPoint(         0,             L,                   I,               TopPod,               -3.5,                 0.4,             0.7,          -45.0,	45.0,   -15.0 ,   15);
newHardPoint(         1,             L,                   I,               TopPod,                3.5,                 0.4,             0.7,          -45.0,	45.0,   -15.0 ,   15);
newHardPoint(         2,             X,                   R,               TopPod,             4.0,                  -1.5,            0.0,            -15,      45.0,   -75.0 ,   20);
HardPointDamage(                    2000);
newHardPoint(         3,             X,                   L,               TopPod,             -4.0,                 -1.5,            0.0,            -15,      45.0,   -20.0 ,   75);
HardPointDamage(                    2000);
newHardPoint(         4,             L,                   R,               Pelvis,             1.8,                  1.5,             -3.0,           -45.0,	20.0,   -45.0 ,   75);
HardPointDamage(                    2000);
newHardPoint(         5,             L,                   L,               Pelvis,             -1.8,                 1.5,             -3.0,           -45.0,	20.0,   -45.0 ,   75);
HardPointDamage(                    2000);



#                     id             size                 Dmg_Parent       Allowed_Mountables
newMountPoint(        0,             X,                   Pelvis,          Engine);
newMountPoint(        1,             L,                   Pelvis,          Reactor);
newMountPoint(        2,             X,                   Head,            Computer);
newMountPoint(        3,             L,                   none,            Armor);
newMountPoint(        4,             X,                   Head,            Sensors             );
newMountPoint(        5,             X,                   Head,            ECM,                ThermalDiffuser,      LaserTargeting,  NanoRepair,     Battery,    Cloak,FieldStabilizer,       ammoPack,
                                                                           LifeSupport,        Capacitor,        AgravGenerator,        TurbineBoost, RocketBooster);
newMountPoint(        6,             L,                   Head,            ECM,                ThermalDiffuser,      LaserTargeting,  NanoRepair,     Battery,    Cloak,FieldStabilizer,       ammoPack,
                                                                           LifeSupport,        Capacitor,        AgravGenerator,        TurbineBoost, RocketBooster);
newMountPoint(        7,             L,                   Head,            ECM,                ThermalDiffuser,      LaserTargeting,  NanoRepair,     Battery,    Cloak,FieldStabilizer,       ammoPack,
                                                                           LifeSupport,        Capacitor,        AgravGenerator,        TurbineBoost, RocketBooster);

#                     Internal       Components
#                     id             type                 parent           max_dmg             identity_tag
newComponent(         Armor,         Armor,               none,                         25000 ,IDCOM_ARMOR           );
newComponent(         LeftServos,    LeftServos,          none,                          3000 ,IDCOM_LEFT_LEG_SERVOS );
newComponent(         RightServos,   RightServos,         none,                          3000 ,IDCOM_RIGHT_LEG_SERVOS);

#                     External       Components
#                     id             type                 parent           max_dmg             identity_tag          total internals =           10000
newComponent(         Pelvis,        Pelvis,              none,                          1000 ,IDCOM_PELVIS          );                         # 0.10
newComponent(         Head,          Head,                Pelvis,                        1100 ,IDCOM_HEAD            );                         # 0.11
newComponent(         TopPod,        TopPod,              Pelvis,                        1100 ,IDCOM_HEAD            );                         # 0.11
newComponent(         LeftThigh,     LeftThigh,           Pelvis,                        1000 ,IDCOM_LEFT_THIGH      );                         # 0.10
newComponent(         RightThigh,    RightThigh,          Pelvis,                        1000 ,IDCOM_RIGHT_THIGH     );                         # 0.10
newComponent(         LeftLeg,       LeftLeg,             Pelvis,                         900 ,IDCOM_LEFT_LEG        );                         # 0.09
newComponent(         RightLeg,      RightLeg,            Pelvis,                         900 ,IDCOM_RIGHT_LEG       );                         # 0.09
newComponent(         LeftCalf,      LeftCalf,            LeftLeg,                        800 ,IDCOM_LEFT_CALF       );                         # 0.08
newComponent(         RightCalf,     RightCalf,           RightLeg,                       800 ,IDCOM_RIGHT_CALF      );                         # 0.08
newComponent(         LeftFoot,      LeftFoot,            LeftLeg,                        700 ,IDCOM_LEFT_FOOT       );                         # 0.07
newComponent(         RightFoot,     RightFoot,           RightLeg,                       700 ,IDCOM_RIGHT_FOOT      );                         # 0.07
newComponent(         Pilot,         Pilot,               none,                          1000 ,IDCOM_PILOT           );
#                                                         (totals)                        10000                                                 # 1.00

#                     Distribution   of                   internal         components          among                 external         components
#                     containee      container            percent/100
newConfiguration(     Armor,         LeftFoot,                         0.07);                                  # 1750
newConfiguration(     Armor,         RightFoot,                        0.07);                                  # 1750
newConfiguration(     Armor,         LeftCalf,                         0.08);                                  # 2000
newConfiguration(     Armor,         RightCalf,                        0.08);                                  # 2000
newConfiguration(     Armor,         LeftLeg,                          0.09);                                  # 2250
newConfiguration(     Armor,         RightLeg,                         0.09);                                  # 2250
newConfiguration(     Armor,         LeftThigh,                         0.1);                                  # 2500
newConfiguration(     Armor,         RightThigh,                        0.1);                                  # 2500
newConfiguration(     Armor,         TopPod,                           0.11);                                  # 2750
newConfiguration(     Armor,         Pelvis,                            0.1);                                  # 2500
newConfiguration(     Armor,         Head,                             0.11);                                  # 2750
#                     -----
#                                                                      1.00

newConfiguration(     LeftServos,    LeftFoot,                         0.25);
newConfiguration(     LeftServos,    LeftCalf,                         0.25);
newConfiguration(     LeftServos,    LeftLeg,                          0.25);
newConfiguration(     LeftServos,    LeftThigh,                        0.25);

newConfiguration(     RightServos,   RightFoot,                        0.25);
newConfiguration(     RightServos,   RightCalf,                        0.25);
newConfiguration(     RightServos,   RightLeg,                         0.25);
newConfiguration(     RightServos,   RightThigh,                       0.25);

defaultWeapons(       142,           104,                 133,             121,                111,                                118);
defaultMountables(    143,           230,                 805,             333,                931,                  433,             890,                     850);
