######################################################################
# datTank_DL_raven
# Dark Lord Raven
#
######################################################################
#                 Identity_Tag        Abbreviation     Shape             Mass            MaxMass                 RCS            Tech_Level   Combat_Value
tankBase(         IDVEH_DL_RAVEN,      "BIKE",         "rb_bike.dts",              1.00 ,                 13.00 ,         0.50 ,          5 ,         1200);

#                  maxPosAcc           minPosVel        maxForPosVel      maxRevPosVel    (all_m/s)
tankPos(                       35.00 ,           1.00 ,           70.00 ,          -27.20);

#                 minRotVel           maxRVSlow        maxRVFast         maxRVTurret     (all_deg/s)
tankRot(                        5.00 ,          60.00 ,           30.00 ,           1.00);

#                 offsetX             offsetY          offsetZ
tankCpit(         0.0,                0.75,                             0);

#                 sphOffstX           sphOffstY        sphOffstZ         sphereRad
tankColl(         0.0,                0.0,             2.9,                             3);

#                 TreadAnim_Rot_Coeff Tread_Anim_Pos_Coeff
tankAnim(         2.0,                              0.5);

#                 engine_sound_tag    has_thrusters
tankSound(        IDSFX_TANK_ENGINE_1,      TRUE       );

#                 slide_coeff,                        1=                 no              slide                   (normal        tank),                   0=     pure            sl(hovercraft)
tankSlide(                         0.6);

#                 fireBayesNetName
tankAI(           "tankFire.ai",       "targetPart.ai","tankManeuver.ai","tankRetreat.ai");

#                                     Hard Points
#                                     (sizes:SMLX      sides:TBLR)       Dmg             Offset_fm_Node                                      X_rot_rnge         Z_rot_rnge
#                 id                  size             side              Prnt            X___                    Y___           Z___         min__        max_  min__           max__
newHardPoint(     0,                  S,               R,                TankHead,       0.0,                   0.0,           0.45,        -7.0,       25.0, -10.0,          10);
HardPointDamage(                  800);
newHardPoint(     1,                  S,               L,                TankHead,       0.0,                   0.0,           0.45,        -7.0,       25.0, -10.0,          10);
HardPointDamage(                  800);

#                 id                  size             Dmg_Parent        Allowed_Mountables
newMountPoint(    0,                  S,               Body,             Engine);
newMountPoint(    1,                  S,               Body,             Reactor);
newMountPoint(    2,                  S,               TankHead,         Computer);
newMountPoint(    3,                  S,               none,             Armor);
newMountPoint(    4,                  S,               TankHead,         Sensors);
newMountPoint(    5,                  S,               TankHead,         ECM,            ThermalDiffuser,        LaserTargeting,NanoRepair,  Battery,     Cloak,FieldStabilizer,
                                                                         LifeSupport,    Capacitor,              AgravGenerator,TurbineBoost,RocketBooster,     ammoPack          );
newMountPoint(    6,                  S,               TankHead,         ECM,            ThermalDiffuser,        LaserTargeting,NanoRepair,  Battery,     Cloak,FieldStabilizer,
                                                                         LifeSupport,    Capacitor,              AgravGenerator,TurbineBoost,RocketBooster,     ammoPack          );
newMountPoint(    7,                  S,               TankHead,         ECM,            ThermalDiffuser,        LaserTargeting,NanoRepair,  Battery,     Cloak,FieldStabilizer,
                                                                         LifeSupport,    Capacitor,              AgravGenerator,TurbineBoost,RocketBooster,     ammoPack          );

#                 Internal            Components
#                 id                  type             parent            max_dmg         identity_tag
newComponent(     Armor,              Armor,           none,                       1500 ,IDCOM_ARMOR             );
newComponent(     LeftServos,         LeftServos,      none,                        200 ,IDCOM_LEFT_TREAD_SERVOS );
newComponent(     RightServos,        RightServos,     none,                        200 ,IDCOM_RIGHT_TREAD_SERVOS);

#                 External            Components
#                 id                  type             parent            max_dmg         identity_tag            total internals         3000
newComponent(     Body,               Body,            none,                        300 ,IDCOM_BODY              );                    # 0.25
newComponent(     TankHead,           TankHead,        Body,                        300 ,IDCOM_HEAD              );                    # 0.25
newComponent(     LeftTread,          LeftTread,       Body,                        300 ,IDCOM_LEFT_TREAD        );                    # 0.25
newComponent(     RightTread,         RightTread,      Body,                        300 ,IDCOM_RIGHT_TREAD       );                    # 0.25
newComponent(     Pilot,              Pilot,           none,                        100 ,IDCOM_PILOT             );
#                                                      (totals)                      3000                                                1.00

#                 Distribution        of               internal          components      among                   external       components
#                 containee           container        percent/100
newConfiguration( Armor,              Body,                          0.25);                                # 375
newConfiguration( Armor,              TankHead,                      0.25);                                # 375
newConfiguration( Armor,              LeftTread,                     0.25);                                # 375
newConfiguration( Armor,              RightTread,                    0.25);                                # 375
#                 -----
#                                                                    1.00

newConfiguration( LeftServos,         LeftTread,                     1.00);
newConfiguration( RightServos,        RightTread,                    1.00);

defaultWeapons(                    201, 201              );
defaultMountables(102,                200,             801,              926,            410,                    880,           810,                   830);
